<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.zipdoc.acs.persistence.dao.SMSDao">

    <insert id="insertCertificationKey" parameterType="HashMap">
        INSERT INTO CERTIFICATION_TEMPKEY (PHONE , TEMP_KEY, CREATE_DATE, EXPIRATION_DATE)
        VALUES (#{phone}, #{temp_key} , NOW() , DATE_ADD(NOW(), INTERVAL  3 MINUTE ))
    </insert>

    <select id="getTempKey" parameterType="String" resultType="CertificationTempKey">
        SELECT
          PHONE
          ,TEMP_KEY
          ,CREATE_DATE
          ,EXPIRATION_DATE
        from CERTIFICATION_TEMPKEY
        where PHONE = #{phone}
    </select>

    <delete id="deleteTempKey" parameterType="String">
        DELETE
        from CERTIFICATION_TEMPKEY
        where PHONE = #{phone}
    </delete>

</mapper>